<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="utf-8">
  <title>Your request information</title>
  <style>
    code {
      font-size: 125%;
    }

    td:last-child {
      font-style: italic;
    }

    table,
    th,
    td {
      border-collapse: collapse;
      border: 2px solid gray;
    }
  </style>
</head>

<body>
  <h1>Information on your request</h1>
  <p>Method: <b>
      <%= method %>
    </b></p>
  <p>URL: <code><%= url %></code></p>
  <p>Request headers:</p>
  <table>
    <tr>
      <th>Key</th>
      <th>Value</th>
    </tr>
    <% Object.entries(headers).forEach(([key, value])=> { %>
      <tr>
        <% if (key==='user-agent' ) { %>
          <td><b>
              <%= key %>
            </b></td>
          <% } else { %>
            <td>
              <%= key %>
            </td>
            <% } %>
              <td>
                <%= value %>
              </td>
      </tr>
      <% }) %>
  </table>
</body>

</html>